Name:	pam_usb
Summary: PAM module for use with DSA key pairs and removable devices
Version: 0.3.3
Release: 5%{?dist}
License: GPL
Group: System Environment/Base
URL:  http://www.pamusb.org
Source0:  http://dl.sourceforge.net/pamusb/%{name}-%{version}.tar.gz
# lynx -source http://www.pamusb.org/quickstart.html >pam_usb-quickstart.html
Source1:  pam_usb-quickstart.html
# lynx -source http://www.pamusb.org/options.html >pam_usb-options.html
Source2:  pam_usb-options.html
Source3:  pam_usb.udev
Source4:  pam_usb-pam.d-login.example
Source5:  pam_usb-pam.d-gdm.example
Patch0:   pam_usb-0.3.3-Makefile.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pam-devel, openssl-devel, readline-devel, ncurses-devel


%description
This PAM module provides authentication through DSA private/public keys.
Public keys placed on the target computer, whereas private keys are stored
on some removable device, including USB storages/flash drives, cdroms,
floppies, etc.

Any kind of mountable devices (not removable only) can be used.

Due to using of DSA key pairs, the passwordless authentication can be organized
(if a private key is stored not crypted on the media).


%package hotplug
Summary: Hotplug agent to use with USB flash 
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}
Requires: udev

%description hotplug
Hotplug agent to use with USB flash.


%prep
%setup -q
%patch0 -p1

install -p -m644 %{SOURCE1} quickstart.html
install -p -m644 %{SOURCE2} options.html

mkdir pam.d-examples
install -p -m644 %{SOURCE4} pam.d-examples/login
install -p -m644 %{SOURCE5} pam.d-examples/gdm


%build
# Note: we may not overwrite CFLAGS, so use CC instead...
make CC="%__cc $RPM_OPT_FLAGS" LIB=%{_lib} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install LIB=%{_lib} DESTDIR=$RPM_BUILD_ROOT

#  use new "udev" style instead of obsoleted "hotplug" ...
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/hotplug.d/default/*
install -D -m644 %{SOURCE3} \
	$RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-%{name}.rules

pushd $RPM_BUILD_ROOT/etc/pam.d
rm -rf usbhotplug
cat >usbhotplug <<EOF
auth	sufficient	pam_usb.so  debug
EOF
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/%{_lib}/security/*
%{_bindir}/usbadm
%doc AUTHORS COPYING Changelog README *.html pam.d-examples
%dir %{_sysconfdir}/pam_usb
%attr(644,root,root) %{_mandir}/*/usbadm*

%files hotplug
%defattr(-,root,root)
%{_bindir}/usbhotplug
%config(noreplace) %{_sysconfdir}/pam_usb/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*


%changelog
* Tue Aug  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-5
- avoid world-writable docs (#200840)

* Wed Feb 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-4
- rebuild for FC5

* Thu Feb  2 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-3
- pam_usb-hotplug requires udev now instead of the obsoleted hotplug

* Thu Dec 29 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-2
- accepted for Fedora Extras (review by Wart <wart@kobold.org>)

* Thu Dec 22 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-2
- Use /etc/udev/rules.d instead of /etc/hotplug.d
- Add some pam.d examples (Wart@kobold.org)

* Tue Dec 20 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-1
- upgrade to 0.3.3
- always build hotplug package
- add Makefile patch (directory creation, permissions etc.)
- create usbhotplug pam file own way

* Wed Sep  7 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.2-1
- initial release
- copy quckstart.html and options.html from web-site to package
- separate hotplug stuff as an additional package, build it
  when "--with hotplug" is specified only
